Subject: bug#27152: deprecation warnings with Guile 2.2.2

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 2 Jun 2017 17:39:59 -0700

On Wed, May 31, 2017 at 2:00 PM, Ludovic Courtès <[email-masked]> wrote:

> Hi,
>
> Ricardo Wurmus <[email-masked]> skribis:
>
> > I get a couple of deprecation warnings with Guile 2.2.2, for example
> >
> >     Import (ice-9 threads) to have access to `current-processor-count'.
> >     `_IOFBF' is deprecated.  Use the symbol 'block instead.
>
> We can fix the first one with #:use-module (ice-9 threads).
>
> The second one is just a pain: in 2.2 one is supposed to write
>
>   (setvbuf port 'block)
>
> instead of
>
>   (setvbuf port _IOFBF)
>
> So we could do:
>
>   (cond-expand (guile-2.2 (define _IOFBF 'block))
>                (else #t))
>

in some central place (that doesn’t exist), but really, that’s annoying.
>
> So I’m tempted to do nothing.
>
> Note that normally users do not see these deprecation warnings at all.
>
> Thoughts?
>

Why not let good old sed have a run at it? Seems like a simple find and
replace operation, and 'block looks nicer than _IOFBF to my eyes.

Maxim